<template>
  <!-- 架构 -->
  <div class="height_100">
    <viewIndex style="height: 100%;" :name="row.name" :id="row.id" :categoryId="row.categoryId" :type="row.type" :projectId="projectId"></viewIndex>
  </div>
</template>

<script>
import viewIndex from './viewIndex.vue'
export default {
  components: {
    viewIndex
  },
  data() {
    return {
      
    }
  },
  computed: {
    //type判断是分类架构1还是产品架构2
    row() {
      return JSON.parse(this.$route.query.row)
    },
    projectId(){
      return this.$route.query.projectId
    }
  },
  mounted() {
    
  },
  methods: {
    
  },
}
</script>

<style lang="scss" scoped></style>